Subject: Re: bug#30182: Update

From: martin rudalics <[email-masked]>
Date: Tue, 30 Jan 2018 09:30:46 +0100

> Ideas for how this could happen are welcome.

The problem should be with calling pos_visible_p.  It's obviously not
a good idea to calculate the height of the mode line while trying to
establish the tooltip text for a part of the mode line.  So we
probably end up evaluating `mode-line-buffer-identification' which
sets up a timer.

Unfortunately, this remains a wild guess.  It's virtually impossible
to analyze the problem in more depth: You'd always want the value of
`timer-list' in order to know which timers have been added to and
removed from it.  But if `copy-sequence' on `timer-list' fails, there
are no reliable means to get that value.

martin